Subject: Re: [PATCH v2] format-patch: Add --rfc for the common case of [RFC PATCH]

From: Junio C Hamano <[email-masked]>
Date: Mon, 19 Sep 2016 10:49:17 -0700

Andrew Donnellan <[email-masked]> writes:

> Sounds good to me. Agreed that "RFC" is essentially the only prefix
> other than "PATCH" that I see, at least in the kernel.

Around here I think we saw WIP too, and that makes me lean towards
Peff's earlier suggestion to allow an end-user supplied string in
front of PATCH, i.e. "-P RFC" => "--subject-prefix='RFC PATCH'",
even though I understand that those who _ONLY_ care about RFC would
prefer --rfc (5 keystrokes) over "-P RFC" (6 keystrokes).

>> +--rfc::
>> +	Alias for `--subject-prefix="RFC PATCH"`. Use this when
>> +	sending an experimental patch for discussion rather than
>> +	application.
>
> Perhaps mention the phrase "Request For Comment" for the benefit of
> those who aren't familiar ...

Good point.